/**
 * 奖励惩罚
 *
 * @export
 * @interface HRReward
 */
export interface HRReward {

    /**
     * 奖惩名称
     *
     * @returns {*}
     * @memberof HRReward
     */
    hrrewardname?: any;

    /**
     * 奖励惩罚标识
     *
     * @returns {*}
     * @memberof HRReward
     */
    hrrewardid?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HRReward
     */
    createman?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HRReward
     */
    updatedate?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HRReward
     */
    createdate?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HRReward
     */
    updateman?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HRReward
     */
    hremployeeid?: any;

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HRReward
     */
    hremployeename?: any;

    /**
     * 奖惩分类
     *
     * @returns {*}
     * @memberof HRReward
     */
    rewardtype?: any;

    /**
     * 奖惩级别
     *
     * @returns {*}
     * @memberof HRReward
     */
    rewardlevel?: any;

    /**
     * 奖惩金额
     *
     * @returns {*}
     * @memberof HRReward
     */
    rewardmoney?: any;

    /**
     * 奖惩时间
     *
     * @returns {*}
     * @memberof HRReward
     */
    rewardtime?: any;

    /**
     * 授予单位
     *
     * @returns {*}
     * @memberof HRReward
     */
    authorganization?: any;

    /**
     * 附件
     *
     * @returns {*}
     * @memberof HRReward
     */
    attachment?: any;

    /**
     * 奖惩事件
     *
     * @returns {*}
     * @memberof HRReward
     */
    rewardevent?: any;
}